import { FeatureOverride, JSONObject, AppUser } from './types';
export interface Constructor {
    publicApiKey: string;
    env: string;
}
declare class FeatureFlags {
    private _apiKey;
    private _env;
    private _user?;
    private _features;
    private _featureOverrides;
    private _configs;
    constructor({ publicApiKey, env }: Constructor);
    fetchFeatureFlags(user: AppUser): Promise<void>;
    isOn(featureName: string): boolean;
    private mergeFeatures;
    setFeatures(featureOverrides: FeatureOverride[]): void;
    getConfig(featureName: string): JSONObject;
    trackFeatureView(featureName: string): Promise<void>;
    private _fetchFlags;
    private _createUser;
    private _saveToLocalStorage;
    private _getFromLocalStorage;
}
declare const _default: {
    create: ({ publicApiKey, env }: Constructor) => FeatureFlags;
};
export default _default;
